import React, { useState } from 'react';
import { useLocation } from 'react-router-dom';
import { CropperRef, Cropper } from 'react-advanced-cropper';
import 'react-advanced-cropper/dist/style.css'
import { ImageStencil } from "./components/ImageStencil";
import cn from 'classnames';
import property from '../../../../../../mock/propertyById.json'

export default () => {
    const { search } = useLocation()
    const [image] = useState(
        'https://test.vogocm.com:9010/eshop/eshop_img/2023/8/21/20230821114346A053.jpg',
    );

    const onChange = (cropper: CropperRef) => {
        console.log(cropper.getCoordinates(), cropper.getCanvas());
    };

    return (
        <div>
            <Cropper
                src={image}
                className={cn('cropper', `w-[${600}px]`, `h-[${600}px]`)}
                onChange={onChange}
                stencilProps={{
                    patternUrl: 'https://test.vogocm.com:9696/image/material/20230413162155A010.png'
                }}
                stencilComponent={ImageStencil}
                defaultCoordinates={{
                    left: 300,
                    top: 300,
                    width: 100,
                    height: 100,
                }}
            />
        </div>
    )
}
